<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.2 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */

/**
 * Permet de "formater" une notification
 * Exemple d'utilisation:
 * $notify->set_content(NotificationsFormat::contenu('forum.msg', array('username' => 'Myster', 'sujet' =>'Testeeeee')));
 * forum.msg = La variable de langue (sans le notifications.) - username dans le array est la variable dans la langue (Courses) et sujet aussi...
 */
class NotificationsFormat
  {
    public static function contenu($lang, $params)
      {
        return StringVars::replace_vars(LangLoader::get_message('notification.' . $lang, 'common', 'notifications'), $params);
      }
  }

?>