<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.2 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */
class NotificationsUrlBuilder
  {
    private static $dispatcher = '/notifications';
    
    /**
     * @return Url
     */
    public static function configuration()
      {
        return DispatchManager::get_url(self::$dispatcher, '/admin/config');
      }
    
    /**
     * @return Url
     */
    public static function sendnotification()
      {
        return DispatchManager::get_url(self::$dispatcher, '/admin/send-notification');
      }
    
    public static function archives($page = 1, $id = null)
      {
        $page = $page !== 1 ? $page : '';
        $id   = $id !== null ? '#m' . $id : '';
        return DispatchManager::get_url(self::$dispatcher, '/archives/' . $page . $id);
      }
    /**
     * @return Url
     */
    public static function home($page = 1, $id = null)
      {
        $page = $page !== 1 ? $page : '';
        $id   = $id !== null ? '#m' . $id : '';
        return DispatchManager::get_url(self::$dispatcher, '/' . $page . $id);
      }
    
    public static function delete($id)
      {
        return DispatchManager::get_url(self::$dispatcher, '/' . $id . '/delete/?token=' . AppContext::get_session()->get_token());
      }
    
  }
?>